(function($) {
  $(document).ready(function($) {
    "use strict";

    const $grid = $(".dnxte-msnary-grid");

    if ($grid.length) {
      $(".dnxte-grid").imagesLoaded(() => {
        $grid.masonry({
          itemSelector: ".dnxte-msnary-item",
          percentPosition: true,
          columnWidth:".grid-sizer",
          gutter:".gutter-sizer",
          stagger: 0,
          transitionDuration: 90,
          percentPosition: true,
        });
      });
    }

    const img = $(".image-link");

    if (img.length > 0) {
      $(".image-link").magnificPopup({
        removalDelay: 500,
        type: "image",
        gallery: {
          enabled: true,
          navigateByImgClick: true,
          tPrev: 'Previous (Left arrow key)', // Alt text on left arrow
          tNext: 'Next (Right arrow key)', // Alt text on right arrow
          tCounter: '%curr% of %total%' // Markup for "1 of 7" counter
        },
        zoom: {
          enabled: true, 
          duration: 500,
          opener: function(element) {
              return element.find('img');
          }
        },
        mainClass: 'mfp-fade',
        autoFocusLast: false,
      });
    }

    $('.dnxte-magnifier img').each(function() {
      const magnifyData = $(this).data();
      $(this).magnify({
        speed: +magnifyData.speed,
        limitBounds: magnifyData.boundary === "on"
      })
    })
  });

  // WOW ANIMATION
  wow = new WOW({
    animateClass: "animated",
    offset: 50,
  });
  wow.init();
})(jQuery);
