import DiviNextDivider from "./DiviNextDivider/DiviNextDivider";
import DiviNextImageMagnifier from "./DiviNextImageMagnifier/DiviNextImageMagnifier";
import DiviNextImageReveal from "./DiviNextImageReveal/DiviNextImageReveal";
import DiviNextLottie from "./DiviNextLottie/DiviNextLottie";
import DiviNextThumbsGallery from "./DiviNextThumbsGallery/DiviNextThumbsGallery";
import DiviNextThumbsGalleryChild from "./DiviNextThumbsGalleryChild/DiviNextThumbsGalleryChild";
import DiviNextTooltip from "./DiviNextTooltip/DiviNextTooltip";
import DiviNextTooltipChild from "./DiviNextTooltipChild/DiviNextTooltipChild";
import DiviNxte3dCubeSlider from "./DiviNxte3dCubeSlider/DiviNxte3dCubeSlider";
import DiviNxte3dCubeSliderChild from "./DiviNxte3dCubeSliderChild/DiviNxte3dCubeSliderChild";
import DiviNxteBusinessHour from "./DiviNxteBusinessHour/DiviNxteBusinessHour";
import DiviNxteBusinessHourChild from "./DiviNxteBusinessHourChild/DiviNxteBusinessHourChild";
import DiviNxteCoverflowSlider from "./DiviNxteCoverflowSlider/DiviNxteCoverflowSlider";
import DiviNxteCoverflowSliderChild from "./DiviNxteCoverflowSliderChild/DiviNxteCoverflowSliderChild";
import DiviNxteFeatureList from "./DiviNxteFeatureList/DiviNxteFeatureList";
import DiviNxteFeatureListChild from "./DiviNxteFeatureListChild/DiviNxteFeatureListChild";
import DiviNxteFloatingElement from "./DiviNxteFloatingElement/DiviNxteFloatingElement";
import DiviNxteFloatingElementChild from "./DiviNxteFloatingElementChild/DiviNxteFloatingElementChild";
import DiviNxtePriceList from "./DiviNxtePriceList/DiviNxtePriceList";
import DiviNxtePriceListChild from "./DiviNxtePriceListChild/DiviNxtePriceListChild";
import DiviNxtePromobox from "./DiviNxtePromobox/DiviNxtePromobox";
import DiviNxteTestimonial from "./DiviNxteTestimonial/DiviNxteTestimonial";
import DiviNxteTestimonialChild from "./DiviNxteTestimonialChild/DiviNxteTestimonialChild";
import DiviNxtFlipbox from "./DiviNxtFlipbox/DiviNxtFlipbox";
import DiviNxtLogoCarousel from "./DiviNxtLogoCarousel/DiviNxtLogoCarousel";
import DiviNxtLogoCarouselChild from "./DiviNxtLogoCarouselChild/DiviNxtLogoCarouselChild";
import DiviNxtPerson from "./DiviNxtPerson/DiviNxtPerson";
import DiviNxtPersonItem from "./DiviNxtPersonItem/DiviNxtPersonItem";
import Next3dFlipbox from "./Next3dFlipbox/Next3dFlipbox";
import NextBlurb from "./NextBlurb/NextBlurb";
import NextButton from "./NextButton/NextButton";
import NextCircularImageHover from "./NextCircularImageHover/NextCircularImageHover";
import NextComment from "./NextComment/NextComment";
import NextDualButton from "./NextDualButton/NextDualButton";
import NextEmbeddedComment from "./NextEmbeddedComment/NextEmbeddedComment";
import NextEmbeddedPost from "./NextEmbeddedPost/NextEmbeddedPost";
import NextEmbeddedVideo from "./NextEmbeddedVideo/NextEmbeddedVideo";
import NextFBPage from "./NextFBPage/NextFBPage";
import NextFBShareButton from "./NextFBShareButton/NextFBShareButton";
import NextGradientText from "./NextGradientText/NextGradientText";
import NextImageHoverBox from "./NextImageHoverBox/NextImageHoverBox";
import NextImageIcon from "./NextImageIcon/NextImageIcon";
import NextImageScroll from "./NextImageScroll/NextImageScroll";
import NextLikeButton from "./NextLikeButton/NextLikeButton";
import NextMasonary from "./NextMasonary/NextMasonary";
import NextMegaImageEffect from "./NextMegaImageEffect/NextMegaImageEffect";
import NextMinimalImageHover from "./NextMinimalImageHover/NextMinimalImageHover";
import NextMultiHeading from "./NextMultiHeading/NextMultiHeading";
import NextRating from "./NextRating/NextRating";
import NextReview from "./NextReview/NextReview";
import NextStepFlow from "./NextStepFlow/NextStepFlow";
import NextTeamCreative from "./NextTeamCreative/NextTeamCreative";
import NextTeamCreativeItem from "./NextTeamCreativeItem/NextTeamCreativeItem";
import NextTeamOverlay from "./NextTeamOverlay/NextTeamOverlay";
import NextTeamOverlayCard from "./NextTeamOverlayCard/NextTeamOverlayCard";
import NextTeamOverlayCardItem from "./NextTeamOverlayCardItem/NextTeamOverlayCardItem";
import NextTeamOverlayItem from "./NextTeamOverlayItem/NextTeamOverlayItem";
import NextTeamSocialReveal from "./NextTeamSocialReveal/NextTeamSocialReveal";
import NextTeamSocialRevealChild from "./NextTeamSocialRevealChild/NextTeamSocialRevealChild";
import NextTextAnimation from "./NextTextAnimation/NextTextAnimation";
import NextTextColorMotion from "./NextTextColorMotion/NextTextColorMotions";
import NextTextDivider from "./NextTextDivider/NextTextDivider";
import NextTextGlitch from "./NextTextGlitch/NextTextGlitch";
import NextTextHighlight from "./NextTextHighlight/NextTextHighlight";
import NextTextHoverHighlight from "./NextTextHoverHighlight/NextTextHoverHighlight";
import NextTextMask from "./NextTextMask/NextTextMask";
import NextTextStroke from "./NextTextStroke/NextTextStroke";
import NextTextStrokeMotion from "./NextTextStrokeMotion/NextTextStrokeMotion";
import NextTextTilt from "./NextTextTilt/NextTextTilt";
import NextTimeline from "./NextTimeline/NextTimeline";
import NextTimelineChild from "./NextTimelineChild/NextTimelineChild";
import NextUltimateImageHover from "./NextUltimateImageHover/NextUltimateImageHover";

export default [
  DiviNextDivider,
  DiviNextImageReveal,
  DiviNxtLogoCarousel,
  DiviNxtLogoCarouselChild,
  DiviNxteCoverflowSlider,
  DiviNxteCoverflowSliderChild,
  DiviNxtFlipbox,
  Next3dFlipbox,
  NextTeamSocialReveal,
  NextTeamSocialRevealChild,
  DiviNxtPerson,
  DiviNxtPersonItem,
  NextTeamOverlay,
  NextTeamOverlayItem,
  DiviNxte3dCubeSlider,
  DiviNxte3dCubeSliderChild,
  NextTeamOverlayCard,
  NextTeamOverlayCardItem,
  NextTeamCreative,
  NextTeamCreativeItem,
  DiviNextThumbsGallery,
  DiviNextThumbsGalleryChild,
  NextReview,
  DiviNxteBusinessHour,
  DiviNxteBusinessHourChild,
  DiviNxtePriceList,
  DiviNxtePriceListChild,
  NextButton,
  NextDualButton,
  NextRating,
  NextTextAnimation,
  NextTextTilt,
  NextTextMask,
  NextGradientText,
  NextMultiHeading,
  NextTextColorMotion,
  NextTextDivider,
  NextTextGlitch,
  NextTextHighlight,
  NextTextHoverHighlight,
  NextTextStroke,
  NextTextStrokeMotion,
  NextMinimalImageHover,
  NextCircularImageHover,
  NextMegaImageEffect,
  NextImageHoverBox,
  NextImageIcon,
  NextImageScroll,
  NextUltimateImageHover,
  NextBlurb,
  DiviNxteTestimonial,
  DiviNxteTestimonialChild,
  DiviNxtePromobox,
  DiviNxteFeatureList,
  DiviNxteFeatureListChild,
  DiviNxteFloatingElement,
  DiviNxteFloatingElementChild,
  NextStepFlow,
  DiviNextLottie,
  DiviNextTooltip,
  DiviNextTooltipChild,
  NextMasonary,
  DiviNextImageMagnifier,
  NextTimeline,
  NextTimelineChild,
  NextEmbeddedPost,
  NextEmbeddedComment,
  NextComment,
  NextEmbeddedVideo,
  NextLikeButton,
  NextFBPage,
  NextFBShareButton
];
