<?php

// TODO: Make sure you add option for "pretty URLS" and remove Cars etc

if ( ! defined( 'ABSPATH' ) ) exit;


function divi_machine_titan_add_post_options() {
  include(DE_DMACH_PATH . '/titan-framework/titan-framework-embedder.php');
  $titan = TitanFramework::getInstance( 'divi-machine' );
  add_action( 'init', 'create_dmachine_create_posts');
  function create_dmachine_create_posts() {

      include(DE_DMACH_PATH . '/titan-framework/titan-framework-embedder.php');
      $titan = TitanFramework::getInstance( 'divi-machine' );
      $ids = array();
      $args = array( 'post_type' => 'dmach_post', 'posts_per_page' => -1 );
      $loop = new WP_Query( $args );
  
        while ( $loop->have_posts() ) : $loop->the_post();
        array_push( $ids, get_the_ID() );
        // END LOOP
        endwhile;
          
        foreach (array_unique($ids) as $key => $value) {
          $dmach_post_type_key = $titan->getOption( 'dmach_post_type_key', $value  ); // DONE

          if ($dmach_post_type_key == "post_type") {
            function custom_post_notice() {
              echo '<div class="error"><p><strong>' . sprintf(esc_html__('Please make sure you choose a unique slug name and not "post_type" for your CPT', 'divi-machine')) . '</strong></p></div>';
            }
            add_action('admin_notices', 'custom_post_notice');
          } else {
            $dmach_description = $titan->getOption( 'dmach_description', $value  ); // DONE
            $dmach_name_singular = $titan->getOption( 'dmach_name_singular', $value  ); // DONE
            $dmach_name_plural = $titan->getOption( 'dmach_name_plural', $value  ); // DONE
            $dmach_taxonomies = $titan->getOption( 'dmach_taxonomies', $value  ); // DONE
            $dmach_hierarchical = $titan->getOption( 'dmach_hierarchical', $value  ); // DONE
            $dmach_menu_name = $titan->getOption( 'dmach_menu_name', $value  ); // DONE
            $dmach_all_items = $titan->getOption( 'dmach_all_items', $value  ); // DONE
            $dmach_admin_bar_name = $titan->getOption( 'dmach_admin_bar_name', $value  ); // DONE
            $dmach_add_new_item = $titan->getOption( 'dmach_add_new_item', $value  ); // DONE
            $dmach_new_item = $titan->getOption( 'dmach_new_item', $value  ); // DONE
            $dmach_add_new = $titan->getOption( 'dmach_add_new', $value  ); // DONE
            $dmach_edit_item = $titan->getOption( 'dmach_edit_item', $value  ); // DONE
            $dmach_update_item = $titan->getOption( 'dmach_update_item', $value  ); // DONE
            $dmach_view_item = $titan->getOption( 'dmach_view_item', $value  ); // DONE
            $dmach_view_items = $titan->getOption( 'dmach_view_items', $value  ); // DONE
            $dmach_search_item = $titan->getOption( 'dmach_search_item', $value  ); // DONE
            $dmach_supports = $titan->getOption( 'dmach_supports', $value  ); // DONE
            $dmach_exclude_from_search = $titan->getOption( 'dmach_exclude_from_search', $value  ); // DONE
            $dmach_enable_archives = $titan->getOption( 'dmach_enable_archives', $value  );// DONE
            $dmach_custom_archive_slug = $titan->getOption( 'dmach_custom_archive_slug', $value  );// DONE
            $dmach_rewrite = $titan->getOption( 'dmach_rewrite', $value  );
            // $dmach_rewrite_custom_slug = $titan->getOption( 'dmach_rewrite_custom_slug', $value  );
            $dmach_rewrite_withfront = $titan->getOption( 'dmach_rewrite_withfront', $value  );

            $dmach_rewrite_withfront = filter_var($dmach_rewrite_withfront, FILTER_VALIDATE_BOOLEAN);
            $dmach_rewrite = filter_var($dmach_rewrite, FILTER_VALIDATE_BOOLEAN);
    
            if ($dmach_enable_archives == "true") {
              $dmach_enable_archives_dis = $dmach_post_type_key;
            } else if ($dmach_enable_archives == "true_custom") {
              $dmach_enable_archives_dis = $dmach_custom_archive_slug;
            } else {
              $dmach_enable_archives_dis = $dmach_post_type_key;
            }

            $dmach_rewrite_custom_slug = $dmach_post_type_key;
            $dmach_public = $titan->getOption( 'dmach_public', $value  ); // DONE
            $dmach_show_in_admin_sidebar = $titan->getOption( 'dmach_show_in_admin_sidebar', $value  ); // DONE
            $dmach_show_admin_sidebar_postion = $titan->getOption( 'dmach_show_admin_sidebar_postion', $value  ); // DONE
            $dmach_show_admin_sidebar_icon = $titan->getOption( 'dmach_show_admin_sidebar_icon', $value  ); // DONE
            $dmach_show_in_admin_bar = $titan->getOption( 'dmach_show_in_admin_bar', $value  ); // DONE
            $dmach_show_in_nav_menus = $titan->getOption( 'dmach_show_in_nav_menus', $value  ); // DONE

            // $dmach_query = $titan->getOption( 'dmach_query', $value  );
            // $dmach_custom_query = $titan->getOption( 'dmach_custom_query', $value  );
            $dmach_public_query = $titan->getOption( 'dmach_public_query', $value  );
            // $dmach_permalinks_rewrite = $titan->getOption( 'dmach_permalinks_rewrite', $value  );
            $dmach_capability_type = $titan->getOption( 'dmach_capability_type', $value  );
            $dmach_prettify_post = $titan->getOption( 'dmach_prettify_post', $value  );
            $dmach_prettify_name_cat = $titan->getOption( 'dmach_prettify_name_cat', $value  );
            $dmach_prettify_name_tag = $titan->getOption( 'dmach_prettify_name_tag', $value  );
            
            if ($dmach_taxonomies !== "") {
              if (is_array($dmach_taxonomies)) {
                foreach ($dmach_taxonomies as $value) {
                  $ending = "_" . $value;
                  $cat_key = $dmach_post_type_key . $ending;
                  if ($value == "category") {
                    $label = "Category";
                    $label_plural = "Categories";
                    $label_lower = "category";
                    $label_lower_plural = "categories";
                    $slug = $dmach_post_type_key . '_category';
                  } else {
                    $label = "Tag";
                    $label_plural = "Tags";
                    $label_lower = "tag";
                    $label_lower_plural = "tags";
                    $slug = $dmach_post_type_key . '_tag';
                  }
                  
                  
                  register_taxonomy(
                    $cat_key,
                    $dmach_post_type_key,
                    array(
                      'hierarchical'          => true,
                      'label'                 => __( $label_plural, 'divi-machine' ),
                      'labels'                => array(
                      'name'              => __( $dmach_name_singular . ' ' . $label_lower_plural, 'divi-machine' ),
                      'singular_name'     => __( $dmach_name_singular . ' ' . $label, 'divi-machine' ),
                      'menu_name'         => _x( $label_plural, 'Admin menu name', 'divi-machine' ),
                      'search_items'      => __( 'Search ' . $label_lower_plural, 'divi-machine' ),
                      'all_items'         => __( 'All ' . $label_lower_plural, 'divi-machine' ),
                      'parent_item'       => __( 'Parent ' . $label_lower, 'divi-machine' ),
                      'parent_item_colon' => __( 'Parent ' . $label_lower . ':', 'divi-machine' ),
                      'edit_item'         => __( 'Edit ' . $label_lower, 'divi-machine' ),
                      'update_item'       => __( 'Update ' . $label_lower, 'divi-machine' ),
                      'add_new_item'      => __( 'Add new ' . $label_lower, 'divi-machine' ),
                      'new_item_name'     => __( 'New ' . $label_lower . ' name', 'divi-machine' ),
                      'not_found'         => __( 'No ' . $label_lower_plural . ' found', 'divi-machine' ),
                    ),
                    'show_ui'               => true,
                    'query_var'             => true,
                    'rewrite'               => array(
                      'slug'         => $slug,
                      'with_front'   => false,
                      'hierarchical' => true,
                    ),
                    )
                  );
                }
              }
            } else {

            }
            
            $labels = array(
              'name'                  => _x( $dmach_name_plural, 'Post Type General Name', 'divi_machine' ),
              'singular_name'         => _x( $dmach_name_singular, 'Post Type Singular Name', 'divi_machine' ),
              'menu_name'             => __( $dmach_menu_name, 'divi_machine' ),
              'name_admin_bar'        => __( $dmach_admin_bar_name, 'divi_machine' ),
              'archives'              => __( 'Item Archives', 'divi_machine' ),
              'attributes'            => __( 'Item Attributes', 'divi_machine' ),
              'parent_item_colon'     => __( 'Parent Item:', 'divi_machine' ),
              'all_items'             => __( $dmach_all_items, 'divi_machine' ),
              'add_new_item'          => __( $dmach_new_item, 'divi_machine' ),
              'add_new'               => __( $dmach_add_new, 'divi_machine' ),
              'new_item'              => __( $dmach_new_item, 'divi_machine' ),
              'edit_item'             => __( $dmach_edit_item, 'divi_machine' ),
              'update_item'           => __( $dmach_update_item, 'divi_machine' ),
              'view_item'             => __( $dmach_view_item, 'divi_machine' ),
              'view_items'            => __( $dmach_view_items, 'divi_machine' ),
              'search_items'          => __( $dmach_search_item, 'divi_machine' ),
              'not_found'             => __( 'Not found', 'divi_machine' ),
              'not_found_in_trash'    => __( 'Not found in Trash', 'divi_machine' ),
              'featured_image'        => __( 'Featured Image', 'divi_machine' ),
              'set_featured_image'    => __( 'Set featured image', 'divi_machine' ),
              'remove_featured_image' => __( 'Remove featured image', 'divi_machine' ),
              'use_featured_image'    => __( 'Use as featured image', 'divi_machine' ),
              'insert_into_item'      => __( 'Insert into item', 'divi_machine' ),
              'uploaded_to_this_item' => __( 'Uploaded to this item', 'divi_machine' ),
              'items_list'            => __( 'Items list', 'divi_machine' ),
              'items_list_navigation' => __( 'Items list navigation', 'divi_machine' ),
              'filter_items_list'     => __( 'Filter items list', 'divi_machine' ),
            );
    
            $capabilities = array(
              'edit_post'             => 'edit_post',
              'read_post'             => 'read_post',
              'delete_post'           => 'delete_post',
              'edit_posts'            => 'edit_posts',
              'edit_others_posts'     => 'edit_others_posts',
              'publish_posts'         => 'publish_posts',
              'read_private_posts'    => 'read_private_posts',
            );
            
            $args = array(
            'label'                 => __( $dmach_name_singular, 'divi_machine' ),
            'description'           => __( $dmach_description, 'divi_machine' ),
            'labels'                => $labels,
            'supports'              => $dmach_supports,
            'publicly_queryable'    => true,
            'query_var'             => true,
            'hierarchical'          => $dmach_hierarchical,
            'public'                => $dmach_public,
            'show_ui'               => true,
            'show_in_menu'          => $dmach_show_in_admin_sidebar,
            'menu_position'         => 5,
            'menu_icon'             => $dmach_show_admin_sidebar_icon,
            'show_in_admin_bar'     => $dmach_show_in_admin_bar,
            'show_in_nav_menus'     => $dmach_show_in_nav_menus,
            'exclude_from_search'   => $dmach_exclude_from_search,
          );
          
          if ($dmach_prettify_post == true) {
            $args['rewrite']['slug'] = $dmach_post_type_key.'/%'.$dmach_post_type_key.'_category%';
            $args['rewrite']['with_front'] = true;
            $args['has_archive'] = $dmach_post_type_key;
          } else {
            if ($dmach_rewrite == true) {
              $args['rewrite']['with_front'] = $dmach_rewrite_withfront;
              $args['has_archive'] = $dmach_enable_archives_dis;
            }
          }
          
          register_post_type( $dmach_post_type_key, $args );
          flush_rewrite_rules();
        }
      }
      
      wp_reset_postdata();
  }

  
  add_action( 'init', 'create_dmachine_create_taxonomies' );
  ///////////////////////////// CREATE CUSTOM TAX 
  function create_dmachine_create_taxonomies() {

    include(DE_DMACH_PATH . '/titan-framework/titan-framework-embedder.php');
    $titan = TitanFramework::getInstance( 'divi-machine' );
    $ids = array();
    $args = array( 'post_type' => 'dmach_tax', 'posts_per_page' => -1 );
    $loop = new WP_Query( $args );
    while ( $loop->have_posts() ) : $loop->the_post();
    array_push( $ids, get_the_ID() );
    // END LOOP
    endwhile;
    foreach (array_unique($ids) as $key => $value) {
    
      $dmach_tax_slug = $titan->getOption( 'dmach_tax_slug', $value  ); // done
      $dmach_tax_plural = $titan->getOption( 'dmach_tax_plural', $value  ); // done
      $dmach_tax_single = $titan->getOption( 'dmach_tax_single', $value  ); // done
      $dmach_tax_post_type = $titan->getOption( 'dmach_tax_post_type', $value  ); // done
      $dmach_tax_menu_name = $titan->getOption( 'dmach_tax_menu_name', $value  ); // done
      $dmach_tax_all_items = $titan->getOption( 'dmach_tax_all_items', $value  ); // done
      $dmach_tax_edit_item = $titan->getOption( 'dmach_tax_edit_item', $value  ); // done
      $dmach_tax_view_item = $titan->getOption( 'dmach_tax_view_item', $value  ); // done
      $dmach_tax_update_item = $titan->getOption( 'dmach_tax_update_item', $value  ); // done
      $dmach_tax_add_new = $titan->getOption( 'dmach_tax_add_new', $value  ); // done
      $dmach_tax_new_item = $titan->getOption( 'dmach_tax_new_item', $value  ); // done
      $dmach_tax_parent = $titan->getOption( 'dmach_tax_parent', $value  ); // done
      $dmach_tax_parent_colon = $titan->getOption( 'dmach_tax_parent_colon', $value  ); // done
      $dmach_tax_search = $titan->getOption( 'dmach_tax_search', $value  ); // done
      $dmach_tax_popular = $titan->getOption( 'dmach_tax_popular', $value  ); // done
      $dmach_tax_seperate_commas = $titan->getOption( 'dmach_tax_seperate_commas', $value  ); // done
      $dmach_tax_add_remove = $titan->getOption( 'dmach_tax_add_remove', $value  ); // done
      $dmach_tax_most_used = $titan->getOption( 'dmach_tax_most_used', $value  ); // done
      $dmach_tax_notfound = $titan->getOption( 'dmach_tax_notfound', $value  ); // done
      $dmach_tax_noterms = $titan->getOption( 'dmach_tax_noterms', $value  );
      $dmach_tax_item_list_nav = $titan->getOption( 'dmach_tax_item_list_nav', $value  );
      $dmach_tax_item_list = $titan->getOption( 'dmach_tax_item_list', $value  );
      $dmach_tax_public = $titan->getOption( 'dmach_tax_public', $value  );
      $dmach_tax_public_queryable = $titan->getOption( 'dmach_tax_public_queryable', $value  );
      $dmach_tax_hierarchical = $titan->getOption( 'dmach_tax_hierarchical', $value  );
      $dmach_tax_show_ui = $titan->getOption( 'dmach_tax_show_ui', $value  );
      $dmach_tax_show_in_menu = $titan->getOption( 'dmach_tax_show_in_menu', $value  );
      $dmach_tax_show_nav_menu = $titan->getOption( 'dmach_tax_show_nav_menu', $value  );
      $dmach_tax_query_var = $titan->getOption( 'dmach_tax_query_var', $value  );
      $dmach_tax_query_var_custom = $titan->getOption( 'dmach_tax_query_var_custom', $value  );
      $dmach_tax_rewrite = $titan->getOption( 'dmach_tax_rewrite', $value  );
      $dmach_tax_query_rewrite_custom = $titan->getOption( 'dmach_tax_query_rewrite_custom', $value  );
      $dmach_tax_rewrite_front = $titan->getOption( 'dmach_tax_rewrite_front', $value  );
      $dmach_tax_rewrite_hierarchical = $titan->getOption( 'dmach_tax_rewrite_hierarchical', $value  );


      $dmach_tax_rewrite_arg = array(
        'slug'         => $dmach_tax_post_type,
        'with_front'   => $dmach_tax_rewrite_front,
        'hierarchical' => $dmach_tax_hierarchical,
      );
      
      if ( !$dmach_tax_rewrite ){
        $dmach_tax_rewrite_arg = false;
      }

      // echo "peter";
      // print_r($dmach_tax_rewrite_arg);
      
      register_taxonomy(
        $dmach_tax_slug,
        $dmach_tax_post_type,
        array(
          'public'          => __( $dmach_tax_public, 'divi-machine' ),
          'publicly_queryable'          => __( $dmach_tax_public_queryable, 'divi-machine' ),
          'hierarchical'          => __( $dmach_tax_hierarchical, 'divi-machine' ),
          'show_ui'          => __( $dmach_tax_show_ui, 'divi-machine' ),
          'show_in_menu'          => __( $dmach_tax_show_in_menu, 'divi-machine' ),
          'show_in_nav_menus'          => __( $dmach_tax_show_nav_menu, 'divi-machine' ),
					'label'                 => __( $dmach_tax_plural, 'divi-machine' ),
					'labels'                => array(
					'name'              => __( $dmach_tax_plural, 'divi-machine' ),
					'singular_name'     => __( $dmach_tax_single , 'divi-machine' ),
					'menu_name'         => _x( $dmach_tax_menu_name, 'divi-machine' ),
          'search_items'      => __( $dmach_tax_search, 'divi-machine' ),
          'popular_items'     => __( $dmach_tax_popular, 'divi-machine' ),
					'all_items'         => __( $dmach_tax_all_items, 'divi-machine' ),
					'parent_item'       => __( $dmach_tax_parent, 'divi-machine' ),
					'parent_item_colon' => __( $dmach_tax_parent_colon, 'divi-machine' ),
           'edit_item'         => __( $dmach_tax_edit_item, 'divi-machine' ),
           'view_item'         => __( $dmach_tax_view_item, 'divi-machine' ),
					'update_item'       => __( $dmach_tax_update_item, 'divi-machine' ),
					'add_new_item'      => __( $dmach_tax_add_new, 'divi-machine' ),
					'new_item_name'     => __( $dmach_tax_new_item, 'divi-machine' ),
          'not_found'         => __( $dmach_tax_notfound, 'divi-machine' ),
          'separate_items_with_commas' => __( $dmach_tax_seperate_commas, 'divi-machine' ),
          'add_or_remove_items' => __( $dmach_tax_add_remove, 'divi-machine' ),
          'choose_from_most_used' => __( $dmach_tax_most_used, 'divi-machine' ),
        ),
        'show_ui'               => $dmach_tax_show_ui,
				'query_var'             => true,
        'rewrite'               => $dmach_tax_rewrite_arg,
        )
      );
    }
    
    wp_reset_postdata();
  }

  // TODO: remove error messages that the following code generates
  add_filter( 'post_type_link', 'dmach_pretty_permalinks', 15, 2 );
  function dmach_pretty_permalinks( $post_link, $post ){
    
    $args = array(
      'public'   => true,
      '_builtin' => false
    );

    $post_types = get_post_types($args);
    global $pagenow;
    
    if ( !in_array( $post->post_type, $post_types )){
      return $post_link;
    }
    
    include(DE_DMACH_PATH . '/titan-framework/titan-framework-embedder.php');
    $titan = TitanFramework::getInstance( 'divi-machine' );
    $ids = array();
    $args = array( 'post_type' => 'dmach_post', 'posts_per_page' => -1 );
    $loop = get_posts( $args );
    foreach ($loop as $key => $dmach_post) {
        array_push( $ids, $dmach_post->ID );    
    }
        
    foreach (array_unique($ids) as $key => $value) {
      $dmach_prettify_post = $titan->getOption( 'dmach_prettify_post', $value  );
      $dmach_post_type_key = $titan->getOption( 'dmach_post_type_key', $value  ); // DONE
      $dmach_taxonomies = $titan->getOption( 'dmach_taxonomies', $value  ); // DONE
      
      if ($dmach_prettify_post == true) {
        if ( is_object( $post ) && $post->post_type == $dmach_post_type_key ){
          if ($dmach_taxonomies !== "") {
            if (is_array($dmach_taxonomies)) {
              foreach ($dmach_taxonomies as $value) {
                if ($value == "category") {
                  $label = "Category";
                  $label_plural = "Categories";
                  $label_lower = "category";
                  $label_lower_plural = "categories";
                  $slug = $dmach_post_type_key . '_category';
                } else {
                  $label = "Tag";
                  $label_plural = "Tags";
                  $label_lower = "tag";
                  $label_lower_plural = "tags";
                  $slug = $dmach_post_type_key . '_tag';
                }
                $terms = wp_get_object_terms( $post->ID, $slug );
                if( $terms ){
                  $post_link = str_replace( '%'.$slug.'%' , $terms[0]->slug , $post_link );
                }
              }
            }
          }
        }
      }
    }

     return $post_link;
  }


  add_filter( 'get_sample_permalink', 'dmach_get_sample_permalink', 10, 5);
  function dmach_get_sample_permalink( $permalink, $post_id, $title, $name, $post ){
    include(DE_DMACH_PATH . '/titan-framework/titan-framework-embedder.php');
    $titan = TitanFramework::getInstance( 'divi-machine' );
    $ids = array();
    $args = array( 'post_type' => 'dmach_post', 'posts_per_page' => -1 );
    $loop = get_posts( $args );
    foreach ($loop as $key => $dmach_post) {
        array_push( $ids, $dmach_post->ID );    
    }
    
    foreach (array_unique($ids) as $key => $value) {
      $dmach_prettify_post = $titan->getOption( 'dmach_prettify_post', $value  );
      $dmach_post_type_key = $titan->getOption( 'dmach_post_type_key', $value  ); // DONE
      $dmach_taxonomies = $titan->getOption( 'dmach_taxonomies', $value  ); // DONE
      
      if ($dmach_prettify_post == true) {
        if ( is_object( $post ) && $post->post_type == $dmach_post_type_key ){
          if ($dmach_taxonomies !== "") {
            if (is_array($dmach_taxonomies)) {
              foreach ($dmach_taxonomies as $value) {
                if ($value == "category") {
                  $label = "Category";
                  $label_plural = "Categories";
                  $label_lower = "category";
                  $label_lower_plural = "categories";
                  $slug = $dmach_post_type_key . '_category';
                } else {
                  $label = "Tag";
                  $label_plural = "Tags";
                  $label_lower = "tag";
                  $label_lower_plural = "tags";
                  $slug = $dmach_post_type_key . '_tag';
                }
                $terms = wp_get_object_terms( $post->ID, $slug );
                if( $terms ){
                  $permalink[0] = str_replace( '%'.$slug.'%' , $terms[0]->slug , $permalink[0] );
                }
              }
            }
          }
        }
      }
    }
    
    return $permalink;
  }

  add_filter( 'rewrite_rules_array', 'dmach_rewrite_rules' );
  function dmach_rewrite_rules( $rules ) {
    $new = array();
    include(DE_DMACH_PATH . '/titan-framework/titan-framework-embedder.php');
    $titan = TitanFramework::getInstance( 'divi-machine' );
    $ids = array();
    $args = array( 'post_type' => 'dmach_post', 'posts_per_page' => -1 );
    $loop = new WP_Query( $args );
    while ( $loop->have_posts() ) : $loop->the_post();
    array_push( $ids, get_the_ID() );
    endwhile;
    foreach (array_unique($ids) as $key => $value) {
      $dmach_prettify_post = $titan->getOption( 'dmach_prettify_post', $value  );
      if ($dmach_prettify_post == true) {
        $dmach_post_type_key = $titan->getOption( 'dmach_post_type_key', $value  ); // DONE
        $new["'".$dmach_post_type_key."/([^/]+)/(.+)/?$'"] = 'index.php?'.$dmach_post_type_key.'=$matches[2]';
        $new["'".$dmach_post_type_key."/(.+)/?$'"] = 'index.php?'.$dmach_post_type_key.'_category=$matches[1]';
        // $new[$post_type_slug . '/' . $term->slug . '/page/?([0-9]{1,})/?$'] = 'index.php?' . $term->taxonomy . '=' . $term->slug . '&paged=' . $wp_rewrite->preg_index( 1 ); // CODE TO CHANGE THE STRUCTURE ON PAGINATION 2
      }
    }
    wp_reset_postdata();  
    return array_merge( $new, $rules ); // Ensure our rules come first
  }



// add_action('init','dmach_redirect_old_category');

// function dmach_redirect_old_category() {

//   if (!is_admin()) {

//   include(DE_DMACH_PATH . '/titan-framework/titan-framework-embedder.php');
//   $titan = TitanFramework::getInstance( 'divi-machine' );

//   $ids = array();
//   $args = array( 'post_type' => 'dmach_post', 'posts_per_page' => -1 );
//   $loop = new WP_Query( $args );
//   while ( $loop->have_posts() ) : $loop->the_post();
//   array_push( $ids, get_the_ID() );

//   // END LOOP
//   endwhile;

//   foreach (array_unique($ids) as $key => $value) {
//     $dmach_prettify_post = $titan->getOption( 'dmach_prettify_post', $value  );
//     $dmach_post_type_key = $titan->getOption( 'dmach_post_type_key', $value  ); // DONE
//     $dmach_taxonomies = $titan->getOption( 'dmach_taxonomies', $value  ); // DONE

//     if ($dmach_prettify_post == true) {


//       if ($dmach_taxonomies !== "") {

//         if (is_array($dmach_taxonomies)) {
//         foreach ($dmach_taxonomies as $value) {

//           if ($value == "category") {

//   $slug_underscore = $dmach_post_type_key . '_category';
                       
//   $url = 'https://' . $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'];

//   if (strpos($url,'?filter') == false) {
//   if (strpos($url,$slug_underscore) !== false) {
    
//     $url_new = str_replace( $slug_underscore,$dmach_post_type_key,$url);

//     wp_redirect($url_new);
//     exit();
// } else {
// }
// }
//           }
// }
// }
// }
// }
// }

// wp_reset_postdata();

// }

// }




// add_filter( 'wpseo_opengraph_url', 'dmach_opengraph_url_pretty_urls' );
// function dmach_opengraph_url_pretty_urls($url) {
  
//   if (!is_admin()) {

//   include(DE_DMACH_PATH . '/titan-framework/titan-framework-embedder.php');
//   $titan = TitanFramework::getInstance( 'divi-machine' );

//   $ids = array();
//   $args = array( 'post_type' => 'dmach_post', 'posts_per_page' => -1 );
//   $loop = new WP_Query( $args );
//   while ( $loop->have_posts() ) : $loop->the_post();
//   array_push( $ids, get_the_ID() );

//   // END LOOP
//   endwhile;

//   foreach (array_unique($ids) as $key => $value) {
//     $dmach_prettify_post = $titan->getOption( 'dmach_prettify_post', $value  );
//     $dmach_post_type_key = $titan->getOption( 'dmach_post_type_key', $value  ); // DONE
//     $dmach_taxonomies = $titan->getOption( 'dmach_taxonomies', $value  ); // DONE

//     if ($dmach_prettify_post == true) {


//       if ($dmach_taxonomies !== "") {

//         if (is_array($dmach_taxonomies)) {
//         foreach ($dmach_taxonomies as $value) {

//           if ($value == "category") {

//             $slug_underscore = $dmach_post_type_key . '_category';

//   if (strpos($url,'?filter') == false) {
//   if (strpos($url,$slug_underscore) !== false) {
    
//     $url_new = str_replace( $slug_underscore,$dmach_post_type_key,$url);

//     $url = $url_new;
//     return $url;

// } else {
// }
// }
//           }
// }
// }
// }
// }
// }

// wp_reset_postdata();

// }

// }
// END
}
add_action( 'tf_create_options', 'divi_machine_titan_add_post_options' );